Bug 215404 - FC6 boot up problems with ata2
Summary: FC6 boot up problems with ata2
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 6
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-13 20:04 UTC by Sergio Morais Lietti
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version: 2.6.19-1.2895.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-15 16:44:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sergio Morais Lietti 2006-11-13 20:04:29 UTC
Description of problem:

During boot up the following ata2 messages are shown:
ata2: port failed to respond (30 secs)
ata2: SRST failed (status 0xFF)
ata2: SRST failed (err_mask=0x100)
ata2: SRST failed (status 0xFF)
ata2: SRST failed (err_mask=0x100)
ata2: SRST failed (status 0xFF)
ata2: SRST failed (err_mask=0x100)
ata2: reset failed, giving up

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2798.fc6.i686 and kernel-2.6.18-1.2849.fc6.i686

How reproducible:
Alawys

Steps to Reproduce:
1. turn on the machine
2. choose fedora kernel to boot
3.
  
Actual results:
[root@localhost ~]# dmesg | grep ata2
ata2: SATA max UDMA/133 cmd 0xFE20 ctl 0xFE32 bmdma 0xFEA8 irq 58
ata2: port is slow to respond, please be patient
ata2: port failed to respond (30 secs)
ata2: SRST failed (status 0xFF)
ata2: SRST failed (err_mask=0x100)
ata2: softreset failed, retrying in 5 secs
ata2: SRST failed (status 0xFF)
ata2: SRST failed (err_mask=0x100)
ata2: softreset failed, retrying in 5 secs
ata2: SRST failed (status 0xFF)
ata2: SRST failed (err_mask=0x100)
ata2: reset failed, giving up

Expected results:
Boot without ata2 fails.

Additional info:
I had the same error with kernel-smp-2.6.18-1.2200.fc5.i686 
(see also Bugzilla Bug 211591), but boot was ok
with previous kernel-smp-2.6.17-1.2187_FC5.i686.
Machine is a Dell Optiplex GX280.

Comment 1 Michael Hurley 2006-11-27 18:17:05 UTC
same exact issue here, also a Dell GX280. Using non-smp kernel, either
2.6.18-1.2789.fc6 or 2.6.18-1.2849.fc6. Prior to the ATA messages is 

usb 1-2: device not accepting address 2, error -71

Comment 2 Sergio Morais Lietti 2006-12-21 10:17:03 UTC
Same problems are happening with new kernel 2.6.18-1.2868.fc6 :

[root@localhost ~]# dmesg | grep usb | grep error
usb 1-1: device not accepting address 2, error -71
[root@localhost ~]# dmesg | grep fail
ata2: port failed to respond (30 secs)
ata2: SRST failed (status 0xFF)
ata2: SRST failed (err_mask=0x100)
ata2: softreset failed, retrying in 5 secs
ata2: SRST failed (status 0xFF)
ata2: SRST failed (err_mask=0x100)
ata2: softreset failed, retrying in 5 secs
ata2: SRST failed (status 0xFF)
ata2: SRST failed (err_mask=0x100)
ata2: reset failed, giving up


Comment 3 Sergio Morais Lietti 2007-01-06 15:18:33 UTC
ata2 fails still happening with kernel 2.6.18-1.2869.fc6 in a Dell Optiplex GX280.

Comment 4 Will Woods 2007-01-12 18:44:58 UTC
This problem is fixed for my Dell PowerEdge SC430 with kernel-2.6.19-1.2895.fc6,
which is currently in updates-testing. Can you enable the updates-testing repo
and try that kernel?

(yum --enablerepo=updates-testing update kernel should do it)

Comment 5 Michael Hurley 2007-01-12 19:44:16 UTC
yes, the kernel-2.6.19-1.2895.fc6 solved the ata problem for me. Kudos and
thanks. I boot *so* much faster now. (Not surprisingly, I guess, the USB error
is still there, and must be unrelated.)


Comment 6 Sergio Morais Lietti 2007-01-13 12:14:22 UTC
Ata2 boot is ok now with kernel-2.6.19-1.2895.fc6 in my Dell Optiplex GX280.
The USB error still happens.

Comment 7 Will Woods 2007-01-15 16:44:25 UTC
The USB error is an unrelated problem; see bug #213411 for that.


Note You need to log in before you can comment on or make changes to this bug.